## GnomeDbSelector

GnomeDbSelector — Individual selection of libgnomedb objects (data types, functions, ...)

## Synopsis

                        GnomeDbSelector;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GnomeDbSelector

## Implemented Interfaces

GnomeDbSelector implements AtkImplementorIface.

## Properties

      "columns"                  GnomeDbSelectorColumn  : Write / Construct Only
      "dict"                     GdaDict               : Write / Construct Only
      "mode"                     GnomeDbSelectorMode   : Write / Construct Only
      "ref-obj"                  GObject               : Write / Construct Only

## Signals

      "row-activated"                                  : Run First
      "selection-changed"                              : Run First

## Description

This widget presents the user with a (configurable) list of objects to choose from: Data types, functions, aggregates, ...

What really gets displayed in the widget (columns and rows) depends on the parameters passed to the `gnome_db_selector_new()` function.

## Details

### GnomeDbSelector

    typedef struct _GnomeDbSelector GnomeDbSelector;

## Property Details

### The "`columns`" property

      "columns"                  GnomeDbSelectorColumn  : Write / Construct Only

### The "`dict`" property

      "dict"                     GdaDict               : Write / Construct Only

### The "`mode`" property

      "mode"                     GnomeDbSelectorMode   : Write / Construct Only

### The "`ref-obj`" property

      "ref-obj"                  GObject               : Write / Construct Only

## Signal Details

### The "row-activated" signal

    void                user_function                      (GnomeDbSelector *dbselector,
                                                            GObject         *arg1,
                                                            gpointer         user_data)       : Run First

`dbselector` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The "selection-changed" signal

    void                user_function                      (GnomeDbSelector *dbselector,
                                                            GObject         *arg1,
                                                            gpointer         user_data)       : Run First

`dbselector` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.